import java.io.*;
import java.util.*;
import java.util.jar.Attributes.Name;

public class Gen09{

	final static int MAX_N = 100;
	final static int MAX_P = 100000;
	static Random rand;
	
	public static void main(String[] args) {
		PrintWriter out = new PrintWriter(System.out);
		rand = new Random(89);
		
		out.println("100 12 12");
		for(int i = 0; i < MAX_N; ++i) {
			out.println(MAX_P + " " + MAX_P + " " + MAX_P + " 1 1 1");
		}
		
		out.close();
	}

}